package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_LENGTH__CHARACTER {
	private static final ValueInteger do_LENGTH(Context context, ValueCharacter s) {
		
			return ValueInteger.select(context.getGenerator(), s.stringValue().length());
	}

	public static final void execute(Context context) {
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_LENGTH(context, p0));
	}
}